#include <stdio.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>

main(int argc, char *argv[]) {

  struct stat buf;
  extern __const char *__const sys_errlist[];

  if (argc == 2) {
    if(stat(argv[1],&buf)) {
      printf("%s: errno %d: %s\n", argv[0], errno, sys_errlist[errno]);
      return errno;
    } else {
      printf("%o %d %d\n", buf.st_mode, buf.st_uid, buf.st_gid);
    }
  } else {
    printf("usage: %s filename\n", argv[0], argv[0]);
    return 1;
  }

return 0;
}
